---
title: Manage Users
weight: 3
prev: /admin/quickstart
next: /admin/usergroups
---

As an admin, you can create users.
Users can log in to the runner management system and the backend (API) and work within their permissions.
You can assign permissions directly to users or assign them to any number of groups from which they inherit permissions.

## Create

To create a new user, open the `Users` page in the runner system.
Click the `Create User` button to create a new user.
You can give the contact a name, username, password, and email address.

## Edit

To edit a user, click the `Details` button for the desired user in the user overview.
In the overview for this contact, you can now adjust the name, username, email, groups, and permissions.
When you are done, simply click `Save Changes`.

### Permissions

{{< callout type="info" >}}
There is a separate page for a user's permissions.
{{< /callout >}}

To edit a user's permissions, click `Edit Permissions` on the user's detail page.
On the permissions page, there are three columns: `Available` (permissions the user does not have directly), `Directly Granted` (permissions the user has directly), and `Inherited` (permissions the user has inherited from their user groups).
You can grant or remove direct permissions using the `+` and `-` buttons.
When you are done, simply click `Save Changes`.

## Delete

You can delete a user either from the user overview or the user detail view.
Only the user and their permissions will be deleted.

### In the User Overview

Click the `Delete` button for the desired user.
You will then be asked if you really want to delete the user or cancel.

### In the User Detail View

Click the `Details` button for the desired user.
At the top of the page, there is now a `Delete User` button.
You will then be asked if you really want to delete the user or cancel.