---
title: Runners
weight: 6
---

Runners are the heart of the runner system.
They are used to track routes and calculate donations.

Runners can be assigned to a [Team](../teams) or an [Organization](../teams).

## Runner Overview

> A brief overview of the functions of the runner overview.

The runner overview lists all runners registered in the system.
From here you can add, edit, or delete individual runners.

To make it easier to search for individual runners, there is a filter by teams and organizations.
If you add multiple teams/organizations to the filter, all runners registered in any of the teams/organizations will be displayed.

There is also a search function that allows you to search by runner names, IDs, and groups (teams/organizations).
If you enter an ID, only the runner with exactly that ID will be displayed. If you want to see all runners whose IDs start with your input, add a `*` at the end of the ID.

Examples:

* `Peter` -> All runners with Peter in their name
* `Gymnasium` -> All runners in a group named Gymnasium
* `421` -> The runner with ID 421
* `42*` -> All runners whose ID starts with 42

## Actions

### Create

{{< callout type="warning" >}}
  To create a runner, you must first create an organization and/or a team.
{{< /callout >}}

To create a new runner, open the `Runners` page in the runner system.
Click the `Add Runner` button to create a new runner.
You must provide a first name, last name, and group (team/organization).
Additionally, you can provide a middle name (second first name), phone number, and email address.

### Edit

To edit a runner, click the `Details` button for the desired runner in the runner overview.
In the runner's overview, you can now edit the first name, middle name, last name, phone number, email address, and group.
When you are finished, simply click `Save Changes`.

### Delete

You can delete a runner either from the runner overview or the runner detail view.

### In the Runner Overview

Click the `Delete` button for the desired runner.
You will then be asked if you really want to delete the runner or cancel.

### In the Runner Detail View

Click the `Details` button for the desired runner.
At the top of the page, there is now a `Delete Runner` button.
You will then be asked if you really want to delete the runner or cancel.

## Import

You can find the import instructions [here](../import).